<?php
/**
 *    HospitalsController.php - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

class HospitalsController extends AppController {
	
	public $scaffold;
	//	public $helpers = array(Helpers);
	//	public $components = array(Components);
	
	function beforeFilter() {
		parent::beforeFilter();
		
		//TODO: beforeFilter code
		
	}
	
	
	/**
	* shows all hospitals (for Superusers only!)
	* @return void
	*/
	function global_index() {
		// FIXME: only the ones that I may see!
		$hospitals = $this->Hospital->find('all'); 
		foreach ($hospitals as &$hospital) {
			$hospital['Hospital']['usercount'] =
				$this->Hospital->User->find('count', array('conditions' =>
					array('hospital_id' => $hospital['Hospital']['id'],
							'active' => 1,
							//'type' => 'TA'
					)
				));
		}
		$this->set(compact('hospitals'));
		$this->render('index');
	}
	
	
	/**
	* adds new hospital, and creates ACO/ARO tree for it
	* @return void
	*/
	public function global_add() {
		if (!empty($this->data)) {
			$hospital = $this->Hospital->create();
			if ($this->Hospital->save($this->data)) {
// 				$this->requestAction(array(
// 					'prefix' => 'global', 'global' => true,
// 					'controller' => 'hospitals', 'action' => 'rebuild_acos', $this->Hospital->id)
// 				);
				$this->updateAccessibleHospitals();
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash('Krankenhaus konnte nicht erstellt werden.');
			}
		}
		$this->set('action', 'edit');
		$this->render('add');
	}
	
	
	/**
	* edits hospital
	* @param $id string hospital to edit
	* @return void
	*/
	public function global_edit($id) {
		if (!empty($this->data)) {
			if ($this->Hospital->save($this->data)) {
				// $this->Session->setFlash('Krankenhaus wurde gespeichert.');
				$this->updateActiveHospital();
				$this->updateAccessibleHospitals();

				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash('Krankenhaus konnte nicht gespeichert werden.');
			}
		} else {
			$this->data = $this->Hospital->read(null,$id);
		}
		$this->set('action', 'edit');
		$this->render('add');
	}
	
	
	/**
	* shows details of hospital
	* @param $id string UUID of hospital
	* @return void
	*/
	public function global_view($id) {
		if(!empty($id)) { //TODO: validation!
			$hospital = $this->Hospital->read(null, $id);
			$this->set('hospital',$hospital['Hospital']);
			$this->set('departments',$hospital['Department']);
		} else {
			$this->setFlash('Dieses Krankenhaus ist nicht in der Datenbank.');
		}
		$this->render('view');
	}
	/**
	* edits hospital
	* @param $id UUID hospital to edit
	* @return void
	*/
	public function global_delete($id) {
		if(empty($id)) { // is that needed?
			$this->Session->setFlash('Ungültige Krankenhaus-ID');
			$this->redirect(array('action' => 'index'));
		}
		if ($this->Hospital->delete($id)) {
			//$this->Session->setFlash('Krankenhaus wurde gelöscht');
			$this->Session->delete('current_hospital');
			$this->updateAccessibleHospitals();
			$this->updateActiveHospital();

			$this->redirect(array('action' => 'index'));
		} else {
			$this->Session->setFlash('Krankenhaus konnte nicht gelöscht werden.');
			$this->redirect(array('action' => 'index'));
		}
	}
	
	/**
	* ajax function to set a hospital as current_hospital into a Session variable.
	* this functino may only be called over AJAX
	* @param $id string the UUID of the hospital
	* @return false if not called via AJAX
	*/
	public function global_set_active($id /*, $controller = null, $action = null, $param = null*/) {
		// do not respond to normal HTTP requests
// 		if(!$this->request->is('ajax'))
// 			return false;
			
		if(!empty($id)) {
			$this->updateActiveHospital($id);
		}
		$this->redirect($this->referer());
// 		$this->layout=false;
// 		$this->render('/Elements/dropdown-hospitals');
	}
	
}