<?php
 /**
 *    Group.php - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
class Group extends AppModel {
	public $belongsTo = array('Hospital');
	public $hasAndBelongsToMany = array('User');
	public $hasMany = array('Grant');
	
	// Group model should act as ARO, automatically created as node under current hospital
	//var $actsAs = array('Acl' => 'requester');
	
	public $validate = array(
		'name' => array(
			'notempty' => array(
				'rule' => array('notempty'),
				'message' => 'Der Name der Gruppe darf nicht leer sein.',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);
	
	public function parentNode()
	{
		if(!$this->id && empty($this->data)) {
			return null;
		}
		// get hospital ID as parent node!
		if(isset($this->data['Group']['hospital_id'])) {
			$hospital_id = $this->data['Group']['hospital_id'];
		} else {
			$hospital_id = $this->field['hospital_id'];
		}
		if(!$hospital_id) {
			return null;
		} else {
			return array('Hospital' => array('id' => $hospital_id));
		}
	}
}
?>
