<?php 
 /**
 *    Slot.php - This file is part of Critecia
 *    Copyright (C) 2011 Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
 
class Slot extends AppModel {
	public $belongsTo = array('Department', 'User', 'AccountedField');
	public $actsAs = array('Containable');
	
	public $validate = array(
		'date' => array('required' => true),
	);
	
	public $virtualFields = array(

	// returns the how-maniest month at that department this slot is */
		'month_count' => 'SELECT COUNT(S.id)+1 from slots as S WHERE S.date < Slot.date AND S.department_id = Slot.department_id AND S.user_id = Slot.user_id'
	);

	function beforeSave() {
		// always set day of slot to "01", as convention!
		if(!empty($this->data['Slot']['date'])) {
			$this->data['Slot']['date'] = $this->formatDateForSlot($this->data['Slot']['date']);
			return true;
		}
		
	}

	private function formatDateForSlot($dateString) {
		return date('Y-m-01', strtotime($dateString));
	}
	
#// some functions to get previous slot or number of current month in this department
#	
#	/** returns the how-maniest month at that department this slot is */
#	public function isMonthCount() {
#		if(!$this->id && empty($this->data)) {
#			return null;
#		}
#		return $this->find('count', array(			
#				'date <= ' => $this->field['date'],
#				'department_id' => $this->field['department_id'],
#				'user_id' => $this->field['user_id']
#			)
#		);
#	}
}
	
?>
 
