<?php
 /**
 *    User.php - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

 
	class User extends AppModel {
		public $displayField = 'displayName';
		public $hasMany = array('Email', 'Useraddress', 'Userphone', 'Vacation', 'Slot');
		public $hasAndBelongsToMany = array('Group');
		public $virtualFields = array('displayName' => 'CONCAT(User.lastname, ", ", User.firstname)');
		public $belongsTo = array('Hospital');
		public $actsAs = array('Containable');
		
		public $validate = array(
			'username' => 'notEmpty',
			'firstname' => 'notEmpty',
			'lastname' => 'notEmpty',
		);
		
		public function bindNode($user)
		{
			if(empty($user['Group'])) { //if user is not part of any group put him in the 'All' group
				return 'All';
			}
			$groupIds = array();
			foreach($user['Group'] as $group) {
				$groupIds[] = $group['id'];
			}
			// return array of foreign keys of all groups the user is in
			return array('model' => 'Group', 'foreign_key' => $groupIds);
		}
	}
?>
