<?php
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011  Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Navigation element - depending on Session "mode" - shows different menus
 * also checks for AccessControl
*/

$user = $this->Session->read('Auth.User');
if ($user):   // someone logged in?
	$mode = $this->Session->read('mode'); ?>
<!-- 		<div id="navigation" class="<?php echo !$mode? 'hidden' : 'visible'; ?>"> -->
	<?php
	switch($mode):
		case 'management': ?>
			<ul>
				<?php if(!isset($current_hospital)) break; 
				if($this->AccessControl->check('Departments/index'))
					echo '<li>'.$this->Html->link('Abteilungen', array('global' => false, 'controller' => 'departments', 'action' => 'index')).'</li>';
				if($this->AccessControl->check('Groups/index'))
					echo '<li>'.$this->Html->link('Gruppen', array('global' => false, 'controller' => 'groups', 'action' => 'index')).'</li>';
				if($this->AccessControl->check('Users/index'))
					echo '<li>'.$this->Html->link('Turnusärzte', array('global' => false, 'controller' => 'users', 'action' => 'index')).'</li>';
				?>
			</ul>
			<ul>
				<?php	//TODO: add hospital prefix
				//if($this->Session->check($user, 'All/Hospitals/Hospital.'.$current_hospital['id'].'/users/showemails')) // check User sub-rights
				echo '<li>'.$this->Html->link('eMail-Adressen','/users/showemails/').'</li>';
				//if($this->Session->check($user, 'All/Hospitals/Hospital.'.$current_hospital['id'].'/users/showphones'))
				echo '<li>'.$this->Html->link('Telefonnummern','/users/showphones/').'</li>';
				//if($this->Session->check($user, 'All/Hospitals/Hospital.'.$current_hospital['id'].'/users/showbirthdays'))
				echo '<li>'.$this->Html->link('Geburtstagsliste','/users/showbirthdays/').'</li>';
				//if($this->Session->check($user, 'All/Hospitals/Hospital.'.$current_hospital['id'].'/users/showpictures'))
				echo '<li>'.$this->Html->link('Fotoalbum','/users/showpictures/').'</li>';
				?>
			</ul>
			<?php break; ?>


		<?php case 'rotation': ?>

		<?php echo '<li>'.$this->Html->link('Turnusplätze generieren', array('global' => false, 'controller' => 'slots', 'action' => "generate")).'</li>'; ?>
		<?php echo '<li>'.$this->Html->link('Rotation erstellen', array('global' => false, 'controller' => 'slots', 'action' => "create_rotation")).'</li>'; ?>
		<?php break; ?>




		<?php case 'vacations': ?>
			<ul>
				<?php
				if($this->AccessControl->check('Vacations/index')) // may I see all vacations?
					echo '<li>'.$this->Html->link('Urlaubsbuch', array('controller' => 'vacations', 'action' => 'index')).'</li>';
				if($this->AccessControl->check('Vacations/index_own')) // check ob User Zugriff auf eigene Urlaube hat
					echo '<li>'.$this->Html->link('Meine Urlaube anzeigen', array('controller' => 'vacations', 'action' => 'index_own')).'</li>';
				if($this->AccessControl->check('Vacations/add')) // check ob User eigene oder fremde Urlaube eintragen darf
					echo '<li>'.$this->Html->link('Urlaub eintragen', array('controller' => 'vacations', 'action' => 'add')).'</li>';
				if($this->AccessControl->check('Vacations/printpdf')) // ckeck ob User den Urlaubsplan als PDF exportieren darf
					echo '<li>'.$this->Html->link('Urlaubsplan ausdrucken', array('controller' => 'vacations', 'action' => 'printpdf')).'</li>';
				?>
			</ul>
			<?php break; ?>


		<?php case 'system': ?>
			<ul>
				<?php
				echo '<li>'.$this->Html->link('Alle Krankenhäuser', array('global' => true, 'controller' => 'hospitals', 'action' => 'index')).'</li>';
				echo '<li>'.$this->Html->link('Alle Abteilungen', array('global' => true, 'controller' => 'departments', 'action' => 'index')).'</li>';
				echo '<li>'.$this->Html->link('Alle Gruppen', array('global' => true, 'controller' => 'groups', 'action' => 'index')).'</li>';
				echo '<li>'.$this->Html->link('Alle Benutzer', array('global' => true, 'controller' => 'users', 'action' => 'index')).'</li>';
				
				if($this->AccessControl->check('Maintenances/index')) { // access to system administration?
					echo '<li>'.$this->Html->link('Administration',array('controller' => 'maintenances')).'</li>';
					echo '<li>'.$this->Html->link('Demodaten installieren',
							array('global' => true, 'controller' => 'maintenances', 'action' => 'install_demodata	'),
							array(),
							'ACHTUNG!\n\nDamit werden evtl vorhandene Daten überschrieben! Sicher?').'</li>';
				}
				// check bezüglich Systeminformationen
				echo '</ul><ul>';
				echo '<li>'.$this->Html->link('Systeminformationen','/logs/').'</li>'; ?>
			</ul>
			<?php break; ?>
			
			
		<?php case 'install': ?>
			<?php 
			
// in wizard helper:
// function progressMenu($titles = array(), $attributes = array(), $htmlAttributes = array(), $confirmMessage = false, $escapeTitle = true)
?>
				<ul>
				<?php
					echo $this->Wizard->progressMenu(
						// titles
						array(
							'info' => 'Vorbereitung',
							'database' => 'Datenbank',
							'review' => 'Abschluss',
						),
						
						// attributes
						array( 
							'wrap' => 'li'
						)
					);?>
				</ul>
		<?php break; ?>
			
		<?php default:
			break; 
	endswitch; ?>
		
<!-- 		</div> -->
<?php
	endif; // user
?>

