<?php
 /**
 *    index.ctp - This file is part of Critecia
 *    Copyright (C) 2011 Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
?>
<table class="hospitaltable" cellspacing="0">

<h2>Alle Krankenhäuser</h2>

<?php

	if (count($hospitals)<1) {
		echo '<h3>Derzeit sind keine Krankenhäuser verfügbar!</h3>';
	} else {
		//echo $this->Html->image('hospital.png', array('align' => 'right')); 
	}
		
	foreach($hospitals as $hospital): 
		echo '<tr><td colspan="5"><h3>';			
		echo '<span title="Krankenhaus-ID: '.$hospital['Hospital']['id'].'">'.$hospital['Hospital']['shortname'].'</span>';
		
		if( isset($current_hospital) 
		  and $hospital['Hospital']['id'] == $current_hospital['Hospital']['id'] ) {
		  
			echo $this->Html->image('22/flag-yellow.png',array('title' => $hospital['Hospital']['shortname'].' ist derzeit aktives Krankenhaus.','style'=>'margin-left: 1em;'));
		} 
		echo '</h3>';
		echo '</td></tr>';
?>
	<tr>
		<td class=""><?php
			echo $hospital['Hospital']['name'].'<br/>';
							
			echo $hospital['Hospital']['usercount'].' aktive Turnusärzte<br/>';
			echo $this->Html->link('Abteilungen', array(
				'global' => true, 'controller' => 'departments', 'action' => 'index', $hospital['Hospital']['id'])
			).'<br/>';

		?></td>
		<td class="edit">
		<?php
			echo $this->Html->link($this->Html->image('22/edit.png', array('alt'=>'Krankenhaus bearbeiten', 'border'=>0)), 
				array('global' => true, 'controller'=>'hospitals', 'action'=>'edit', $hospital['Hospital']['id']),
					array('escape'=>false,'style'=>'margin-right: 10px;', 'title' => 'bearbeiten')); 
			echo $this->Html->link($this->Html->image('22/delete.png', array('alt'=>'Krankenhaus löschen', 'border'=>0)), 
				array('global' => true, 'controller'=>'hospitals', 'action'=>'delete', $hospital['Hospital']['id']),
					array('escape'=>false, 'title' => 'löschen'), 'Soll dieses Krankenhaus wirklich gelöscht werden?'); 
		?>
		</td>
	</tr>
<?php endforeach; ?>
</table>
<?php //check if I can create hospitals
	echo $this->element('add-item', array(
		'text' => 'Neues Krankenhaus erstellen', 
		'img' => '22/hospital-add.png', 
		'link' => array('global' => true, 'controller' => 'hospitals', 'action' => 'add')
	));
?>
