<?php
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		<?php __('CRITECIA ::'); ?>
		<?php echo $title_for_layout; ?>
	</title>
	<?php
		echo $this->Html->meta('icon');

		echo $this->Html->css('critecia');

		// include jQuery
		echo $this->Html->script('jquery.min');
		// include jQuery-UI
		echo $this->Html->script('jquery-ui.custom.min');
		
		echo $this->Html->script('dropdownmenu');
		
		echo $scripts_for_layout;
	?>
</head>
<body>
	<div id="header">
		<div id="header-datetime">
			<span class="header-item header-item-left title">Today: </span>
			<span class="header-item header-item-left header_date"><?php echo date('F, j, Y, H:i - e'); ?></span>
			<?php
				if(!empty($user)): //someone logged in? ?>

					<span class="header-separator">•</span>
					<span class="header-item header-item-left header-username"><b><?php echo $user['firstname'].' '.$user['lastname']; ?></b></span>
					<span class="header-separator">•</span>
					<span id="hospital-menu-span" class="header-item header-item-left" style="color:<?php echo empty($current_hospital)? '#D92222' : '#DCBF0A'?>;" >
						<?php 
						//draw the hospital-menu
						echo $this->element('dropdown-hospitals'); 
						?>
					</span>
				<?php
				endif;
				?>

			<div id="header-item-right">
			</div>
		</div>
	</div>
	<div id="container">
		<div id="container-inner">
<!-- 			<div class="container-left"></div> -->
			<div class="container-middle">
				<div id="mainmenu">
					<?php
						if (!empty($user)) {  // someone logged in?

							if(!empty($current_mode)) {
								// TODO: cheap modes array, maybe make it configurable in DB sometimes
								$modes= array(
									'management' => array('title' => 'MANAGEMENT', 'global' => false),
									'rotation' => array('title' => 'ROTATION', 'global' => false),
									'vacations' => array('title' => 'URLAUBSBUCH', 'global' => false),
									'system' => array('title' => 'SYSTEM', 'global' => true),
									);
								$echo_delimiter = false;
								foreach($modes as $mode_name => $mode_data) {
									global $echo_delimiter;
									if($echo_delimiter)
										echo ' | ';
									$echo_delimiter = true;

									$options = array('escape' => false);
									if($current_mode == $mode_name)
										$options['style'] = 'color:#DCBF0A';
									if($mode_data['global'] === false) { // we need a current_hospital to use this link!
										if(!isset($current_hospital) or !$current_hospital) {
											// only show text
											echo '<span class="disabled" style="color:#555;">'.$mode_data['title'].'</span>';
										} else {
											// show link
											echo $this->Html->link($mode_data['title'], array('global' => true, 'controller'=>'modes', 'action' => $mode_name), $options);
										}
									} else { // global link
										echo $this->Html->link($mode_data['title'], array('global' => true, 'controller' => 'modes', 'action' => $mode_name), $options);
									}
								}
							}
							// show logout button
							echo $this->Html->link($this->Html->image('system-logout.png',
								array('style'=>'position:absolute; right:20px;', 'title'=>'Logout')),
								array('global' => true,
									'controller' => 'users',
									'action' => 'logout'),
								array('escape'=>false));
						}
					?>
				</div> <!-- mainmenu -->
				
<!-- 				<div id="sub-header"></div> -->
				<div id="navigation">
					<?php echo $this->element('navigation'); ?>
				</div>
				<div id="maincontent">
					<?php echo $this->Session->flash(); ?>
					<?php echo $content_for_layout; ?>
				</div> <!-- maincontent -->
				
				<div id="bottom">
					<?php  //here comes text, Info, etc., below the content ?>
				</div> <!-- bottom -->
				
			</div>
<!-- 			<div class="container-right"></div> -->
		</div> <!-- container-inner -->
	</div> <!-- container -->
	<div id="footer">
		<?php echo $this->Html->link(
			$this->Html->image('cake.power.gif',
				array('alt'=> __('CakePHP: the rapid development php framework', true),
		'border' => '0')),
				'http://www.cakephp.org/',
				array('target' => '_blank', 'escape' => false)
			);
		?>
	</div> <!-- footer -->
	<?php echo $this->element('sql_dump'); ?>
	<?php echo $this->Js->writeBuffer(); ?>
</body>
</html>
