<?php
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
?>

<h2><?php echo $action == 'add'? 'Benutzer hinzufügen' : 'Benutzer bearbeiten'; ?></h2>
<?php echo $this->Form->create('User'); ?>
<div class="viewblock">
	<?php

		

		// hospital
		$options = array('label' => 'Krankenhaus');
		
		// check if we are in an admin routine and are able to change hospital
		if(!$global) {
			// hide the hospital field - don't touch!!
			$options['type'] = 'hidden';
			$options['value'] = $current_hospital['Hospital']['id'];
			//TODO: is this a security issue?
			// someone could change the value in the form and submit again
			
		} else {
			// we can see it.
			$options['empty'] = '---';
		}
		echo $this->Form->input('hospital_id', $options);

		// id
		if($action == 'edit') {
			echo $this->Form->input('id');
		}

	?>
	<div style="float:left;">
		<?php
		echo $this->Form->input('title', array('label'=>'Titel:', 'style'=>'width:70px;'));
		echo $this->Form->input('firstname', array('label'=>'Vorname:','style'=>'width:150px;',
					'div'=>array('style'=>'float:left;')));
		echo $this->Form->input('lastname', array('label'=>'Nachname','style'=>'width:200px;',
					'div'=>array('style'=>'margin-left:15px;float:left;')));
		?>
	</div>
	<div class="mainframe">
		<div class="foto">
			<?php
				if (!isset($user['picture']) || $user['picture'] == "")
					$user['picture'] = "no.user.img.png";
				echo $this->Html->image('portraits/'.$user['picture']);
			?>
		</div>
		<?php echo $this->Html->image('fotoframe.png', array('class' => 'fotoframe')); ?>
	</div>
	<?php
		echo $this->Form->input('birthdate', array('label'=>'Geburtsdatum:','dateFormat'=>'DMY',
				'div'=>array('style'=>'clear:left;'),
				'minYear'=>(date('Y')-70),
				'maxYear'=>(date('Y')-23)));
		echo $this->Form->input('username',
			array('label'=>'Benutzername:','style'=>'width:200px;'));
	?>
</div>

<div class="viewblock">
	<div class="viewblock_title">TELEFONNUMER(N):</div>
	<div id="viewblock_phones">
		<?php
			echo $this->element('phones_field',
				array('user' => $this->data, 'action' => $action));
		?>
	</div>
	<?php 
	echo $this->element('add-item', array('id' => 'add-new-phone', 'text'=>'weitere Handynummer hinzufügen'));	
	$this->Js->get('div#add-new-phone')->event('click', "addNewPhoneField('#viewblock_phones')");
	?>

</div>
<div class="viewblock">
	<div class="viewblock_title">EMAIL-ADRESSE(N):</div>
	<div id="viewblock_emails">
		<?php
			echo $this->element('emails_fields', array('user' => $user, 'action' => $action));
		?>
	</div>
	<?php //just add another empty div for more email fields created through AJAX: ?>
	<div id="field-edit-emails-more"></div>

	<?php echo $this->element('add-item', array('text'=>'weitere Email-Adresse hinzufügen')); ?>
</div>
<div class="viewblock">
	<div class="viewblock_title">ADRESSE(N):</div>
	<div id="viewblock_addresses">
		<?php
			if (isset($user['Useraddress']) && count($user['Useraddress']) != 0) {
				for ($a=0; $a<count($user['Useraddress']); $a++) {
					echo $this->element('address_field', array('id' => $a));
				}
			} else {
				echo $this->element('address_field', array('id' => 0));
			}
			echo $this->element('add-item', array('text'=>'weitere Adresse hinzufügen'))
		?>
	</div>
</div>
<div class="viewblock">
	<div class="viewblock_title">GRUPPE(N):</div>
		<?php echo $this->Form->input('Group', array('label' => '')); ?>
</div>
<?php echo $this->Form->end('Speichern'); ?>
